Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Class DebugContentHandle

    java.lang.Object
      rice.p2p.glacier.v2.DebugContentHandle

All Implemented Interfaces:
  GCPastContentHandle, PastContentHandle, java.io.Serializable

public class DebugContentHandle
extends java.lang.Object
implements PastContentHandle, GCPastContentHandle

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected long` | `myExpiration` DESCRIBE THE FIELD
`protected Id` | `myId` DESCRIBE THE FIELD
`protected NodeHandle` | `myNodeHandle` DESCRIBE THE FIELD
`protected long` | `myVersion` DESCRIBE THE FIELD

Method Summary
`long` | `getExpiration()` Gets the Expiration attribute of the DebugContentHandle object
`Id` | `getId()` Gets the Id attribute of the DebugContentHandle object
`NodeHandle` | `getNodeHandle()` Gets the NodeHandle attribute of the DebugContentHandle object
`long` | `getVersion()` Gets the Version attribute of the DebugContentHandle object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myId

    protected Id myId

  DESCRIBE THE FIELD

### myNodeHandle

    protected NodeHandle myNodeHandle

  DESCRIBE THE FIELD

### myExpiration

    protected long myExpiration

  DESCRIBE THE FIELD

### myVersion

    protected long myVersion

  DESCRIBE THE FIELD

Method Detail

### getId

    public Id getId()

  Gets the Id attribute of the DebugContentHandle object

  Specified by:
    `getId` in interface `PastContentHandle`
  Returns:
    The Id value

### getNodeHandle

    public NodeHandle getNodeHandle()

  Gets the NodeHandle attribute of the DebugContentHandle object

  Specified by:
    `getNodeHandle` in interface `PastContentHandle`
  Returns:
    The NodeHandle value

### getVersion

    public long getVersion()

  Gets the Version attribute of the DebugContentHandle object

  Specified by:
    `getVersion` in interface `GCPastContentHandle`
  Returns:
    The Version value

### getExpiration

    public long getExpiration()

  Gets the Expiration attribute of the DebugContentHandle object

  Specified by:
    `getExpiration` in interface `GCPastContentHandle`
  Returns:
    The Expiration value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.